Support » Plugin: WordPress Popular Posts » [Plugin: WordPress Popular Posts] W3C validation

  • Resolved nicomollet

    (@nicomollet)


    Thank you for this great plugin.

    The markup does not validate HTML5 W3C validation tool:
    “Element script must not have attribute charset unless attribute src is also specified.
    <script type=”text/javascript” charset=”utf-8″>”

    The charset attribute is not valid and should be stripped, their is no reason to keep it, isn’t it?

    Cheers,

    http://wordpress.org/extend/plugins/wordpress-popular-posts/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Hector Cabrera

    (@hcabrera)

    Hi nicomollet,

    That piece of code belongs to earlier versions of my plugin. Probably from the very beginning, not sure. Will take that out on the next release.

    Thanks for reporting this!

    Héctor, thanks a lot if you can fix this.
    Cheers!

    Hi Héctor,
    I have the same problem. Any chance you can remove the javascript from the header and publish a new version of the plugin?
    Thank you so much for your great work!
    Fab

    Plugin Author Hector Cabrera

    (@hcabrera)

    Hi Fab,

    I already took care of that in the development version. Once I’m done with some final checks I will release a new version of WordPress Popular Posts that includes this fix.

    I’m marking this thread as resolved now.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Plugin: WordPress Popular Posts] W3C validation’ is closed to new replies.